libzypp: zypp::misc::testcase Namespace Reference

libzypp 17.38.15

zypp::misc::testcase Namespace Reference

## Classes
class | ForceInstall
struct | ForceInstallImpl
class | LoadTestcase
class | RepoData
struct | RepoDataImpl
class | TestcaseSetup
struct | TestcaseSetupImpl
struct | TestcaseTrial

## Enumerations
enum class | TestcaseRepoType { Helix , Testtags , Url }
enum | ApplySetupFlag { AS_REPOS_ONLY = 0 , AS_SOLVER_FLAGS = (1 << 0) , AS_LOCALES = (1 << 1) , AS_AUTOINSTALLED = (1 << 2) , AS_VENDOR_LISTS = (1 << 3) , AS_MODALIAS = (1 << 4) , AS_MULTIVERSION = (1 << 5) , AS_LOCKS = (1 << 6) , AS_UNIVERSE = AS_LOCALES | AS_AUTOINSTALLED | AS_VENDOR_LISTS | AS_MODALIAS | AS_MULTIVERSION | AS_LOCKS , AS_ALL = ~0 }
| Bits controlling how much of the testcase setup is applied. More...

## Functions
| ZYPP_DECLARE_FLAGS_AND_OPERATORS (ApplySetupFlags, ApplySetupFlag)

## Variables
static const std::string | helixControlFile = "solver-test.xml"
static const std::string | yamlControlFile = "zypp-control.yaml"

## Enumeration Type Documentation

## ◆ TestcaseRepoType

enum class zypp::misc::testcase::TestcaseRepoType
| strong

Enumerator
Helix |
Testtags |
Url |

Definition at line 41 of file TestcaseSetup.h.

## ◆ ApplySetupFlag

enum zypp::misc::testcase::ApplySetupFlag

Bits controlling how much of the testcase setup is applied.

The zero-flag value (AS_REPOS_ONLY) replicates the historic behaviour of applySetup(RepoManager&): only architecture, repos and hardware-info are applied. Use AS_ALL to apply everything — this is what deptestomatic and testcase-runner want for full fidelity. Use AS_UNIVERSE when you want the package environment but not the solver opinions from the captured session (e.g. MCP tool).

Enumerator
AS_REPOS_ONLY | Only arch, repos, hardware-info (historic default).
AS_SOLVER_FLAGS | Resolver flags, focus, DUP flags.
AS_LOCALES | initRequestedLocales + setRequestedLocales
AS_AUTOINSTALLED | setAutoInstalled
AS_VENDOR_LISTS | VendorAttr vendor-equivalence lists.
AS_MODALIAS | Modalias list.
AS_MULTIVERSION | ZConfig multiversion spec.
AS_LOCKS | lock/keep nodes extracted from trial nodes
AS_UNIVERSE | Package universe without solver opinions: repos, locales, autoinstalled, vendor lists, modalias, multiversion, locks — but NOT solver flags. Use this when the solver will be driven by a new request (e.g. MCP tool) rather than replaying the original session.
AS_ALL | Apply everything (full fidelity replay).

Definition at line 92 of file TestcaseSetup.h.

## Function Documentation

## ◆ ZYPP_DECLARE_FLAGS_AND_OPERATORS()

zypp::misc::testcase::ZYPP_DECLARE_FLAGS_AND_OPERATORS | ( | ApplySetupFlags | ,
|  | ApplySetupFlag | )

## Variable Documentation

## ◆ helixControlFile

const std::string zypp::misc::testcase::helixControlFile = "solver-test.xml"
| static

Definition at line 20 of file LoadTestcase.cc.

## ◆ yamlControlFile

const std::string zypp::misc::testcase::yamlControlFile = "zypp-control.yaml"
| static

Definition at line 21 of file LoadTestcase.cc.